<div class="col-lg-12 animated fadeInRight list-devices">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Customer App Packages</strong>
                </h3>
              </div>
            </div>
            <div class="row">
              <div class="col-sm-4">
              </div>
              <div class="col-sm-8 text-right">
                <button class="btn btn-sm btn-primary green" (click)="getPackageListing()">
                  <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                <ng-container *ngIf="aclAdd">
                  <button type="submit" class="btn btn-primary btn-sm blue"
                    [routerLink]="['/admin/customer/packages/add']">Add
                    new record</button>
                </ng-container>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive">
                <table aria-describedby="Customer App Packages" class="table table-striped table-bordered table-responsive">
                  <thead>
                    <tr>
                      <th scope="col">Package Name
                      </th>
                      <th scope="col">Image
                      </th>
                      <th scope="col">Description
                      </th>
                      <th scope="col">
                        Package Type
                      </th>
                      <th scope="col">
                        Ride Limit
                      </th>
                      <th scope="col">
                        Discount per ride
                      </th>
                      <th scope="col">
                        Maximum discount amount
                      </th>
                      <th scope="col">
                        Km Limit
                      </th>
                      <th scope="col">
                        Applicable Categories
                      </th>
                      <th scope="col">
                        Package Cost
                      </th>
                      <th scope="col">
                        Validity in days
                      </th>
                      <th scope="col">
                        Created at
                      </th>
                      <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchSubmit">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let packages of packageData">
                      <td>{{packages.package_name}}</td>
                      <td><img class="vehicle-img"
                          [src]="packages.package_image_url? imageUrl + '/uploads/vehiclemodels/' + packages.package_image_url: '../../assets/img/vehicle.jpeg'" alt="my DTC">
                      </td>
                      <td>{{packages.package_description}}</td>
                      <td *ngIf='packages.package_type==="km"'>Kilometer based</td>
                      <td *ngIf='packages.package_type==="ride"'>Ride based</td>
                      <td>{{packages.ride_count!=='-1'?packages.ride_count:"NILL"}}</td>
                      <td>{{packages.maximum_discount_amount_upto}}</td>
                      <td>{{packages.percentage_discount}}</td>
                      <td>{{packages.total_kms!=='-1'?packages.total_kms:"NILL"}}</td>
                      <td><span *ngFor='let cat of packages.allowed_categories'>
                          {{cat.name}}<br />
                        </span>
                      </td>
                      <td>{{packages.package_cost}}</td>
                      <td>{{packages.validity}}</td>
                      <td>{{packages.created_at}}</td>
                      <td *ngIf="aclEdit || aclDelete">
                        <span *ngIf="aclEdit" matTooltip="Edit">
                          <a [routerLink]="['/admin/customer/packages/edit',packages._id]">
                            <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                          </a>
                        </span>&nbsp;&nbsp;&nbsp;
                        <span *ngIf="aclDelete" matTooltip="Delete">
                          <a (click)="openDialog(packages._id)">
                            <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                          </a>
                        </span>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <div style="text-align:center; margin-left:125px;" *ngIf="packageDatalength==0">
                No records found.
              </div>
              <br>
              <div class="container-fluid" *ngIf="packageDatalength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <ngb-pagination [collectionSize]="packageDatalength" (pageChange)="pagingAgent($event)" [page]="1"
                      [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                    </ngb-pagination>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>